package com.yihu.jw.entity.hospital.message;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.*;

@Entity
@Table(name = "base_user_msg_content")
public class BaseUserMsgContentDO extends UuidIdentityEntityWithOperator {
    /**
     *留言表Id
     */
    private String baseUserMsgId;
    /**
     *留言内容
     */
    private String content;
    /**
     *评论人Id
     */
    private String sender;
    /**
     *评论人Name
     */
    private String senderName;
    /**
     *接收人ID
     */
    private String receiver;
    /**
     *接收人Name
     */
    private String receiverName;
    /**
     *状态（1未回复、2回复）
     */
    private Integer status;
    /**
     *是否删除（1正常0删除）
     */
    private Integer del;
    /**
     *是否是医生（1是0不是）
     */
    private Integer isDoctor;

    public Integer getIsDoctor() {
        return isDoctor;
    }

    public void setIsDoctor(Integer isDoctor) {
        this.isDoctor = isDoctor;
    }

    private BaseUserMessageDO baseUserMessageDO;
    @Transient
    @ManyToOne
    @JoinColumn(name="id")
    public BaseUserMessageDO getBaseUserMessageDO() {
        return baseUserMessageDO;
    }

    public void setBaseUserMessageDO(BaseUserMessageDO baseUserMessageDO) {
        this.baseUserMessageDO = baseUserMessageDO;
    }

    public String getBaseUserMsgId() {
        return baseUserMsgId;
    }

    public void setBaseUserMsgId(String baseUserMsgId) {
        this.baseUserMsgId = baseUserMsgId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getSender() {
        return sender;
    }

    public void setSender(String sender) {
        this.sender = sender;
    }

    public String getSenderName() {
        return senderName;
    }

    public void setSenderName(String senderName) {
        this.senderName = senderName;
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }

    public String getReceiverName() {
        return receiverName;
    }

    public void setReceiverName(String receiverName) {
        this.receiverName = receiverName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}
